import AxiamoSkin 1.0
import TrackPlotter 1.0
import QtQuick 2.1
import QtQuick.Controls 1.0
import "../Logic/Setup.js" as Setup
import "../Logic/PlotterHandling.js" as Live

import "../../../apps/Basic/BasicLogic.js" as BasicLogic

AppScreen{
    id: liveTop
          function setupLiveValue(){
            liveController.newLiveValue.connect(gotLiveValue);
        }

    function gotLiveValue(id,value){
        console.log('ID ' + id + ' New Value: ' + value);
        if(id == 32772){
            lblJumpHeight.text= "Jump Height: "  + value.toFixed(1) + " cm";
            anim.running = true;
          }
    }


    Row{
        Component.onCompleted: {
            console.log('Live QML completed loading PC: ' + plotController + ' LC: ' + liveController);
            plotController.livePlotterCreated.connect(Live.newLivePlotter);
        }

          id: liveControls
          anchors.top: parent.top
          anchors.bottomMargin: 50
          width: parent.width
          height:50
          spacing: 15
              PictureButton{
                  buttonText: "Start"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 30
                  buttonImage: iconPath + 'actions/play.png'
                  onClicked: {
                      liveController.stopLiveStream();
                      plotController.removeLivePlotters();
                      Live.removeAllPlotters();
                      liveController.startLiveStream();
                  }
              }
              PictureButton{
                  buttonText: "Stop"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 30
                  buttonImage: iconPath + 'actions/stop.png'
                  onClicked: {
                      plotController.stopUpdate();
                      liveController.stopLiveStream();
                  }
              }
      }

    Column{
        id: plotRect
        anchors.top  : liveControls.bottom;
        anchors.bottom : parent.bottom;
        width: parent.width
    }

}
