import AxiamoSkin 1.0
import QtQuick 2.1
import QtQuick.Controls 1.0
import QtQuick.Window 2.0
import "../../../apps/Basic/BasicLogic.js" as BasicLogic

AppScreen{
    readonly property real dip: Screen.pixelDensity / (96 / 25.4) // DPI norm in mm

    Row{
        id:userControls
        height: 50*dip;
        width: parent.width
        spacing: 15
        PictureButton{
            id:addUser
            width:150*dip
            height: parent.height-10
            buttonText: qsTr("Add User")
            onClicked: BasicLogic.showAddUserDialog();
        }
    }
    ListView {
        id: userList
        //anchors.centerIn: parent
        width:parent.width
        anchors.top: userControls.bottom;
        anchors.bottom: parent.bottom;

        model: userModel
        delegate: userDelegate
        spacing: 15
    }

    Component {
        id: userDelegate
        ListButton{
            showDelete: true
            width:parent.width
            buttonText: UserName
            onClicked: {
               BasicLogic.userSelected(UserName);
            }
            onDeleteClicked: {
                var  confirmObject = msgConfirm.createObject(mainFrame,{
                                                              messageTitle: qsTr('Delete user?'),
                                                              messageText: qsTr('This cannot be undone.')
                                                          });

                confirmObject.yes.connect(function(){
                        userModel.removeRows(index,1);
                        confirmObject.destroy();
                     }
                    );

                confirmObject.no.connect(
                            function(){
                                confirmObject.destroy();
                            }
                );
            }
        }
    }


    Component{
        id: msgBoxNewUser
            MessageBox{
                showMessage: false
                messageTitle: qsTr("New user");
                inputText: qsTr("Enter user name");
                onOk: {
                    BasicLogic.createUser(this.inputText);
                    this.destroy();
                }
                onCancel: {
                   console.log('User creation aborted.');
                    this.destroy();
                }
            }
    }
}


