import PARTdeskSkin 1.0
import CustomPlot 1.0
import QtQuick 2.1
import QtQuick.Controls 1.0

AppScreen{
    id: liveTop
    property var livePlotter
        function setupLiveValue(){
            liveController.newLiveValue.connect(gotLiveValue);
        }

    function gotLiveValue(id,value){
        console.log('ID ' + id + ' New Value: ' + value);
        if(id == 32772){
            lblJumpHeight.text= "Jump Height: "  + value.toFixed(1) + " cm";
            anim.running = true;
          }
    }

    function newLivePlotter(measurementId,deviceId){
        livePlotter = plotController.getLivePlotter(measurementId,deviceId);
        livePlotter.parent = plotRect;
        livePlotter.visible=true;
        livePlotter.width = parent.width;
        var nrOfChildren = plotRect.children.length;
        var i=0;
        for(i=0;i<nrOfChildren;i++){
            plotRect.children[i].height=plotRect.height/nrOfChildren;
        }
    }
    function removeAllPlotters(){
        console.log('removing all live plotters from gui.');
        while( plotRect.children.length > 0 ){
            plotRect.children[0].remove();
        }
    }



    Row{
        Component.onCompleted: {
            console.log('Live QML completed loading PC: ' + plotController + ' LC: ' + liveController);
            plotController.livePlotterCreated.connect(newLivePlotter);
        }

          id: liveControls
          anchors.top: parent.top
          anchors.bottomMargin: 50
          width: parent.width
          height:50
          spacing: 15
              PictureButton{
                  buttonText: "Start Livestream"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 50
                  onClicked: {
                      liveController.stopLiveStream();
                      plotController.removeLivePlotters();
                      removeAllPlotters();
                      liveController.startLiveStream();
                      setupLiveValue();
                  }
              }
              PictureButton{
                  buttonText: "Stop Livestream"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 50
                  onClicked: {
                      plotController.stopUpdate();
                      liveController.stopLiveStream();
                  }
              }
      }

    Column{
        id: plotRect
        anchors.top  : liveControls.bottom;
        anchors.bottom : parent.bottom;
        width: parent.width
    }

    Rectangle{
        id: popValue
        anchors.centerIn: parent;
        width: 300;
        height: 100;
        border.color: 'blue';
        border.width: 5;
        state: 'popValueHidden'
        Text {
            id: lblJumpHeight
            text: qsTr("Jump Height: " );
            anchors.centerIn: parent;
            font.pointSize: 14
        }


        SequentialAnimation {
            id: anim
            ParallelAnimation{
                NumberAnimation { target: popValue; property: "height"; from: 0; to: 400; duration: 250}
                NumberAnimation { target: lblJumpHeight; property: "font.pointSize"; from: 0; to:30; duration: 250}
            }
            ParallelAnimation{
                NumberAnimation { target: popValue; property: "height"; from: 400; to: 200; duration: 100}
                NumberAnimation { target: lblJumpHeight; property: "font.pointSize"; from: 30; to:16; duration: 100}
            }
                PauseAnimation { duration: 2000 }
            ParallelAnimation{
                NumberAnimation { target: lblJumpHeight; property: "font.pointSize"; from: 16; to:0; duration: 500}
                NumberAnimation { target: popValue; property: "height"; from: 200; to: 0; duration: 500 }
            }

    }
}
}
