import AxiamoSkin 1.0
import TrackPlotter 1.0
import QtQuick 2.1
import QtQuick.Controls 1.0
import "../Logic/Setup.js" as Setup
import "../Logic/Live.js" as Live

import "../../../apps/Basic/BasicLogic.js" as BasicLogic

AppScreen{
    id: liveTop
    property var livePlotter
        function setupLiveValue(){
            liveController.newLiveValue.connect(gotLiveValue);
        }

    function gotLiveValue(id,value){
//        console.log('ID ' + id + ' New Value: ' + value);
//        if(id == 32788){//272
//            lblContactTime.text= "Contact Time: "  + value.toFixed(1) + " ms";
//            anim.running = true;
//          }
    }

    function newLivePlotter(measurementId,deviceId){
        console.log('QML got new liveplotter for measurement: ' + measurementId + ' and device: ' + deviceId);
        if(plotController){
            //Got no idea why, but we're always called two times here and the first time , plotController is not accessible.
            livePlotter = plotController.getLivePlotter(measurementId,deviceId);
            livePlotter.parent = plotRect;
            livePlotter.visible=true;
            livePlotter.width = parent.width;
            resizeAllPlotters();
         }
    }

    function resizeAllPlotters(){
        var nrOfChildren = plotRect.children.length;
        var i=0;
        for(i=0;i<nrOfChildren;i++){
            plotRect.children[i].height=plotRect.height/nrOfChildren;
        }
    }

    function removeAllPlotters(){
        console.log('removing all live plotters from gui, found ' + plotRect.children.length + ' plotters.' );
        while( plotRect.children.length > 0 ){
            plotRect.children[0].parent=null;
        }
    }



    Row{
        Component.onCompleted: {
            console.log('Live QML completed loading PC: ' + plotController + ' LC: ' + liveController);
            plotController.livePlotterCreated.connect(newLivePlotter);

            console.log('Live Sprint QML calls setup.')

        }

          id: liveControls
          anchors.top: parent.top
          anchors.bottomMargin: 50
          width: parent.width
          height:50
          spacing: 15
              PictureButton{
                  buttonText: "Start Livestream"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 50
                  onClicked: {
                      Setup.startSetup(0,'Sprint App');
                      liveController.stopLiveStream();
                      plotController.removeLivePlotters();
                      removeAllPlotters();
                      //liveController.startLiveStream();
                      liveController.startStaticStream();
                      //plotController.createLivePlotter('b38e2912b31d419', '244e7900515f66b4');
                      setupLiveValue();
                  }
              }
              PictureButton{
                  buttonText: "Stop Livestream"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 50
                  onClicked: {
                      plotController.stopUpdate();
                      liveController.stopLiveStream();
                  }
              }
              PictureButton{
                  buttonText: "Set Plotter Type"
                  buttonWidth: (parent.width-100)/3;
                  buttonHeight: 50
                  onClicked: {
                      plotController.setPlotterType(3);
                  }
              }
      }

    Column{
        id: plotRect
        anchors.top  : liveControls.bottom;
        anchors.bottom : parent.bottom;
        width: parent.width
    }

//    Rectangle{
//        id: popValue
//        anchors.centerIn: parent;
//        width: 300;
//        height: 100;
//        border.color: 'blue';
//        border.width: 5;
//        state: 'popValueHidden'
//        Text {
//            id: lblContactTime
//            text: qsTr("Contact Time: " );
//            anchors.centerIn: parent;
//            font.pointSize: 14
//        }


//        SequentialAnimation {
//            id: anim
//            ParallelAnimation{
//                NumberAnimation { target: popValue; property: "height"; from: 0; to: 400; duration: 250}
//                NumberAnimation { target: lblContactTime; property: "font.pointSize"; from: 0; to:30; duration: 250}
//            }
//            ParallelAnimation{
//                NumberAnimation { target: popValue; property: "height"; from: 400; to: 200; duration: 100}
//                NumberAnimation { target: lblContactTime; property: "font.pointSize"; from: 30; to:16; duration: 100}
//            }
//                PauseAnimation { duration: 2000 }
//            ParallelAnimation{
//                NumberAnimation { target: lblContactTime; property: "font.pointSize"; from: 16; to:0; duration: 500}
//                NumberAnimation { target: popValue; property: "height"; from: 200; to: 0; duration: 500 }
//            }

//    }
//    }
}
