import QtQuick 2.1
import QtQuick.Window 2.0
import "Palette.js" as Palette

    ListButton{
        readonly property real dip: Screen.pixelDensity / (96 / 25.4) // DPI norm in mm
        property alias measurementId:  idLabel.text
        property alias appName: appLabel.text
        property alias userName: userLabel.text
        property alias setupName: setupLabel.text
        property alias startTime: startTimeLabel.text
        property int colWidth: 100*dip;

        property int mesFontSize: 8*dip


        property color normalColor: Palette.middle
        property color hoverColor:  Palette.light1
        property color pressedColor: Palette.dark1
        color: normalColor

        showUpload:true
        showDelete:true
        showExport: true
        showProcess: true

        height: 100*dip
        width: 300*dip

        actionButtonsHeight: 30*dip


        Grid{
            columns: 2
            spacing: 2*dip
            anchors.verticalCenter: parent.verticalCenter
            anchors.top: parent.top
            anchors.left: parent.left
            anchors.margins: 5*dip
            anchors.topMargin: actionButtonsHeight + 10*dip

            Text {
                width: colWidth
                id: idLabelCap
                text: qsTr("ID:")
                font.pixelSize: mesFontSize
           }
           Text {
               width: colWidth
               id: idLabel
               font.pixelSize: mesFontSize
           }

            Text {
                width: colWidth
                id: appLabelCap
                text: qsTr("App:")
                font.pixelSize: mesFontSize
           }
           Text {
               width: colWidth
               id: appLabel
               font.pixelSize: mesFontSize
           }
            Text {
                id: setupLabelCap
                text: qsTr("Setup:")
                font.pixelSize: mesFontSize
            }
            Text {
                id: setupLabel
                font.pixelSize: mesFontSize
            }


            Text {
                id: userLabelCap
                text: qsTr("User:")
                font.pixelSize: mesFontSize
            }
            Text {
                id: userLabel
                font.pixelSize: mesFontSize
            }


            Text {
                id: startTimeLabelCap
                text: qsTr("Start Time:")
                font.pixelSize: mesFontSize
            }
            Text {
                id: startTimeLabel
                font.pixelSize: mesFontSize
            }


        }
 }

