import AxiamoSkin 1.0
import QtQuick 2.1
import "Palette.js" as Palette
import "../../../apps/Basic/BasicLogic.js" as BasicLogic
import "../../../apps/Basic/Navigation.js" as NavLogic

    ListView {
         id: appScreens
            property int contentItemsRendered: 0
            property bool movedToStartScreen: false;

            orientation: ListView.Horizontal
            anchors.top:    mainNav.bottom
            anchors.bottom: status.top
            anchors.topMargin: 10
            delegate: progDelegate
            snapMode: ListView.SnapOneItem
            clip: true
            highlightRangeMode: ListView.StrictlyEnforceRange

            function contentRendered(width){
                //Move to startScreen once all initial content is rendered.
                if(width > 0){
                    appScreens.contentItemsRendered ++;
                 }
                if(!appScreens.movedToStartScreen && contentItemsRendered >= appScreens.count){
                    console.log('All content rendered, move to startScreen now, screens: ' + appScreens.count);
                    NavLogic.startScreen();
                    movedToStartScreen = true;
                }
            }

            Component {
                id: progDelegate
                Loader {
                    id: screenLoader
                     source: "../../../apps/" + PageSource
                     width: appScreens.width == 0 ? 480  : appScreens.width
                     height: appScreens.height
                     onWidthChanged: {
                         contentRendered(width);
                     }

                 }
            }
            onWidthChanged: {
                if(!appScreens.movedToStartScreen)
                console.log('appScreens widht: ' + appScreens.width);
            }
        }



