import QtQuick 2.1
import QtQuick.Window 2.0
import "Palette.js" as Palette
import "../../../apps/Basic/BasicLogic.js" as BasicLogic

Rectangle{
    readonly property real dip: Screen.pixelDensity / (96 / 25.4) // DPI norm in mm
    id: statusFrame
    width: parent.width
    anchors.left: parent.left
    anchors.bottom: parent.bottom

    property alias bluetoothState: bluetoothState.buttonText
    property int    statusHeight: 50*dip
    property int statusNumDevTotal: 0
    property int statusNumDevConnected: 0
    property alias  statusNumTasks: numTasks.text
    property alias  lineColor: topLine.color
    property int    titleFontSize: 12*dip
    property int    internalMargin: 15*dip
    property color  bgColor:    Palette.light2

    height: statusHeight
    color: bgColor
    BasicButton{
        id: numDev
        anchors.verticalCenter: parent.verticalCenter
        anchors.leftMargin: 10*dip
        anchors.left: parent.left
        buttonWidth: 70*dip
        buttonText: qsTr("Devices: ") + statusNumDevConnected + " / "+ statusNumDevTotal
        onClicked: BasicLogic.toggleMainDeviceList();
    }



    Text {
        id: numTasksLabel
        text: qsTr("Tasks: ")
        anchors.bottom:  parent.bottom
        anchors.left: numDev.right
        anchors.margins: internalMargin
        font.pixelSize: titleFontSize
        color: Palette.text;
    }

    Text {
        id: numTasks
        anchors.bottom:  parent.bottom
        anchors.left: numTasksLabel.right
        anchors.margins: internalMargin
        font.pixelSize: titleFontSize
        color: Palette.text;
    }
    BasicButton{
        id: bluetoothState
        buttonWidth: 70*dip
        anchors.verticalCenter: parent.verticalCenter
        anchors.leftMargin: 10*dip
        anchors.right: parent.right
        onClicked: interfaceManager.scanBluetoothInterfaces();
    }

    Rectangle {
        id: topLine
        height:5*dip
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        color:Palette.light1
        }
}
