import QtQuick 2.1
import QtQuick.Window 2.0
import "Palette.js" as Palette

Rectangle{
    readonly property real dip: Screen.pixelDensity / (96 / 25.4) // DPI norm in mm
    id: titleFrame
    width: parent.width
    anchors.left: parent.left
    anchors.top: parent.top

    property bool showLogo:false;
    property int    titleHeight: 60*dip
    property alias  titleText: titleText.text
    property alias  textColor: titleText.color
    property alias  lineColor: bottomLine.color
    property int    titleFontSize: 15*dip
    property int    internalMargin: 15*dip
    property color  bgColor:    Palette.light2

    height: titleHeight
    color: bgColor
    signal logoClicked();

    Text {
        id: titleText
        anchors.bottom:  parent.bottom
        anchors.left: parent.left
        anchors.margins: internalMargin
        font.pixelSize: titleFontSize
        color: Palette.text;
    }


    Rectangle {
        id: bottomLine
        height:5*dip
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        color:Palette.light1
        }


    Image {
        visible: showLogo
        id: logoImage
        source: "images/Axiamo.png"
        anchors.right: parent.right
        anchors.bottom: bottomLine.top
        anchors.top: parent.top
        anchors.margins: 10*dip
        fillMode: Image.PreserveAspectFit
        MouseArea {
            id: mousearea
            anchors.fill: parent
        }
    }
    Component.onCompleted:
          mousearea.clicked.connect(logoClicked);
}
